> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a bank account

> Update an existing bank account for a customer. Outbound accounts support full updates; inbound accounts can only update `is_default`. Returns the updated `CustomerBankAccount` object.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json put /customers/{id}/bank-accounts/{bank_account_id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /customers/{id}/bank-accounts/{bank_account_id}:
    parameters:
      - name: bank_account_id
        in: path
        description: bank account id
        required: true
        schema:
          type: string
      - name: id
        in: path
        description: customer id
        required: true
        schema:
          type: string
    put:
      tags:
        - Customers
      summary: Update a bank account
      description: >-
        Update an existing bank account for a customer. Outbound accounts
        support full updates; inbound accounts can only update `is_default`.
        Returns the updated `CustomerBankAccount` object.
      operationId: update-bank-account
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBankAccount'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      bank_account:
                        $ref: '#/components/schemas/CustomerBankAccount'
                    type: object
components:
  schemas:
    UpdateBankAccount:
      title: UpdateBankAccount
      discriminator:
        propertyName: account_type
        mapping:
          outbound:
            $ref: '#/components/schemas/UpdateOutboundBankAccount'
          inbound:
            $ref: '#/components/schemas/UpdateInboundBankAccount'
      oneOf:
        - $ref: '#/components/schemas/UpdateOutboundBankAccount'
        - $ref: '#/components/schemas/UpdateInboundBankAccount'
      x-tags:
        - Customers
    CustomerBankAccount:
      title: CustomerBankAccount
      type: object
      required:
        - account_type
        - account_name
        - account_number
        - ifsc_code
        - bank_name
      properties:
        id:
          type: string
          readOnly: true
        account_type:
          enum:
            - inbound
            - outbound
        account_name:
          type: string
        account_number:
          type: string
        ifsc_code:
          type: string
        bank_name:
          type: string
        is_default:
          description: default bank account for the customer.
          type: boolean
        is_verified:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
      x-tags:
        - Customers
    UpdateOutboundBankAccount:
      title: UpdateOutboundBankAccount
      type: object
      properties:
        account_type:
          const: outbound
        account_name:
          type: string
        account_number:
          type: string
        ifsc_code:
          type: string
        bank_name:
          type: string
        is_verified:
          type: boolean
        is_default:
          description: Default bank account for the customer.
          type: boolean
      x-tags:
        - Customers
    UpdateInboundBankAccount:
      title: UpdateInboundBankAccount
      type: object
      properties:
        account_type:
          const: inbound
        is_default:
          description: Default bank account for the customer.
          type: boolean
      x-tags:
        - Customers
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````